/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bonecoatirador;

import JPlay.GameImage;
import JPlay.Keyboard;
import JPlay.Sound;
import JPlay.Sprite;
import JPlay.Window;
import java.awt.Color;
import java.awt.event.KeyEvent;


/**
 * @author Gefersom Cardoso Lima
 * Universidade Federal Fluminense - UFF - Brasil - 2010
 * Ciência da Computação
 */

public class BonecoAtirador
{
    public BonecoAtirador()
    {
           Window window = new Window(800, 600);
           Boneco boneco = new Boneco();
           ControladorTiros tiros = new ControladorTiros();
           Keyboard keyboard = window.getKeyboard();
           GameImage fundoDaTela = new GameImage("fundo.png");

           //Adiciona a tecla CONTROL ao teclado
           keyboard.addKey(KeyEvent.VK_CONTROL);

           //Seta o valor do chão, coordenada y, a qual o boneco e nem o tiro irão ultrapassar
           int floor = 500;          

           boolean executando = true;
           while(executando)
           {
                    //Parte responsável por desenhar na tela
                    fundoDaTela.draw();
                    tiros.draw();
                    boneco.draw();
                    window.drawText("Pular:  Barra de espaço.", 20, 20, Color.YELLOW);
                    window.drawText("Atirar: Control.", 20, 40, Color.YELLOW);
                    window.drawText("Setas movem o boneco.", 20, 60, Color.YELLOW);
                    window.display();//esse mmétodo SEMPRE deve ser chamado por último, na parte de desenho

                    boneco.move();
                    if (keyboard.keyDown(KeyEvent.VK_CONTROL))
                    {
                            //Diz para qual lado o boneco está virado
                            // e = esquerda; d = direita
                            char sentido = boneco.getStateOfX();

                            //Se o boneco estiver virado para a direita,
                            //posiciona o tiro na coordenada 'x + width' do boneco
                            //e na metada da sua altura
                            ////boneco.getSentido() - retorna se o boneco está
                            //virado para a esquerda ou para a direita
                            if (sentido == Sprite.RIGHT)
                            {
                                //tiros.addTiro(posicaoX, posicaoY, sentido)
                                tiros.addTiro(boneco.x + boneco.width -40, boneco.y + boneco.height/2 - 5, 
                                        boneco.getSentido(), floor);
                            }
                            else
                            {
                                //Se o boneco estiver virado para a esquerda,
                                //posiciona o tiro na coordenada 'x' do boneco e
                                //na metada da sua altura
                                tiros.addTiro(boneco.x +10, boneco.y + boneco.height/2 -5, 
                                        boneco.getSentido(), floor);
                            }
                            new Sound("muzzleshot.wav").play();
                    }

                    tiros.step(floor);

                    //Atraso de 10 ms
                    window.delay(10);

                    //Se apertar ESC o jogo encerra
                    if (keyboard.keyDown(Keyboard.ESCAPE_KEY)) executando = false;
           }

           //Fecha a janela e sai do jogo
           window.exit();
        }


    }



